<template>
  <div class="container">
    <h3 class="mt-5">
      Modifier la catégorie :
      <i
        ><small>{{ categorie.name }} </small>
      </i>
    </h3>
    <category-form
      v-bind:old-name="categorie.name"
      v-bind:category="categorie"
      @edit-data="editData"
    ></category-form>
  </div>
</template>

<script>
import CategoryForm from "../../components/category/CategoryForm";
import axios from "axios";

export default {
  components: { CategoryForm },
  data() {
    return {
      id: this.$route.params.id,
      categorie: [],
    };
  },
  methods: {
    editData(data) {
      this.$store.dispatch("categories/updateCategorie", data);
      this.$router.replace("/administration/categories");
    },
  },
  mounted() {
    try {
       var token = sessionStorage.getItem("token");
      axios
        .get("https://localhost:8443/categories/" + this.id,{
          headers: {
            "Content-Type": "application/json",
            Authorization: "Bearer " + token, //the token is a variable which holds the token
          },
        })
        .then((response) => {
          this.categorie = response["data"];
        });
    } catch (error) {
      console.log(error);
    }
  },
};
</script>